Brocade Management Software Community

Expand all | Collapse all

Upgrade BNA 14.2.2 to 14.4.3 fails. Ideas for a quick resolution?

  • 1.  Upgrade BNA 14.2.2 to 14.4.3 fails. Ideas for a quick resolution?

    Posted 02-27-2019 07:28 AM

    Hello,

     

    Im trying to update Brocade Network Advisor v14.2.2 to Brocade Network Advisor v14.4.3. The process fails when the db data is migrated. Found this in file migrateschema.log

     

    ERROR: duplicate key value violates unique constraint "pk_eventid" Detail: Key (id)=(99) already exists

     

    It might be worth mentioning that this installation was cross-flavior migrated from IBM to Brocade Network Advisor in the past.

     

    Before I get in contact with support I hope get a quick resolution from the community. 

     

    Regards,

    Timo


    #BrocadeManagementSoftwareCommunity


  • 2.  Re: Upgrade BNA 14.2.2 to 14.4.3 fails. Ideas for a quick resolution?

    Posted 02-27-2019 08:37 AM

    @Timo Kilchenmann 

     

    you can try first to upgrade to 14.3.1

     

    don't upgrade to 14.3.0 because this realease is not supported for migration to 14.4.3


    #BrocadeManagementSoftwareCommunity


  • 3.  Re: Upgrade BNA 14.2.2 to 14.4.3 fails. Ideas for a quick resolution?

    Posted 03-05-2019 08:24 AM

    Hello

     

    Upgrade to 14.3.1 not possible. Dialog tells me that the 14.2.2 installation dir is invalid for migration.

     

    I am considering if I should open a case or just do clean install...

     

    Regards,

    Timo


    #BrocadeManagementSoftwareCommunity


  • 4.  Re: Upgrade BNA 14.2.2 to 14.4.3 fails. Ideas for a quick resolution?

    Posted 03-15-2019 07:05 AM

    Hi Timo

     

    Have you had any succes with the upgrade? We were in the same situation, 14.2.2 to 14.4.3 upgrade failed with the same message in the logs. Our installation is HPE branded. 

     

    After much testing we found that it works to upgrade from 14.2.2  to 14.4.2 but when trying to upgrade from 14.4.2 -> 14.4.3 the same error occurs. So we are staying at 14.4.2 for now.

     

    We also had som trouble with the 14.4.2 installation, at the end of the configuration wizard it will fail to start the server and do a rollback, the logs indicating some issue with an SSL Certtificate, 'javax.net.ssl.SSLHandshakeException: General SSLEngine problem' and 'Algorithm constraints check failed on key RSA with size of 1024bits'. By removing  'RSA keySize < 2048' from the jdk.tls.disabledAlgorithms line in both jre64\lib\security\java.security and jre64\lib\security\java.security before the configuration wizard was launched we managed to get it running. Guess we have to fix a new certificate later on to solve it properly but it works for now.

     

    Regards

    Torbjörn


    #BrocadeManagementSoftwareCommunity